
Name:           kapptemplate
Summary:        Template for KDE4 Application Development
Version: 17.12.3
Group:          Graphical desktop/KDE5
Release:        %mkrel 1
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/applications/development/kapptemplate/
Source:         http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 


%description
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE4 application types. At its base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE4
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE4 framework.

%files -f %name.lang
%_kf5_bindir/kapptemplate
%_kf5_datadir/metainfo
%_kf5_applicationsdir/org.kde.kapptemplate.desktop
%_kf5_datadir/config.kcfg/kapptemplate.kcfg
%_iconsdir/hicolor/*/*/*
%_kf5_datadir/kdevappwizard
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5

%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --with-html %name


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Tue Dec 27 2016 bb <bb> - 16.12.0-1pclos2017
- new version

